package com.flyer.foster.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.flyer.foster.dto.RoleAddDTO;
import com.flyer.foster.service.IRoleService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * <p>
 * 角色表 前端控制器
 * </p>
 *
 * @author flyer
 * @since 2024-05-06
 */
@SaCheckLogin
@RestController
@RequestMapping("/role")
public class RoleController {
    @Autowired
    private IRoleService iRoleService;

    /**
     * 角色列表查看
     */
    @GetMapping("/list")
    public R getRoleList() {
        return R.ok().result(iRoleService.getRoleList());
    }

    /**
     * 新增角色
     *
     * @return
     */
    @PostMapping("")
    public R addRole(@Valid @RequestBody RoleAddDTO addDTO) {
        return R.ok().result(iRoleService.addRole(addDTO));
    }
}
